No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles

Descrición

WordPress 5.x bundled a new block editor called Gutenberg. With 5.9 version were added the called global styles for Full Site Editing (FSE) that load a lot of inline styles in every page. Despite his benefits, mainly for compatibility reasons with other plugins and previous contents, there are a lot of users that don’t want to activate it yet. If you don’t want the Gutenberg Block Editor and FSE Global Styles in your WordPress install right now, simply install this plugin, activate it and … That’s all!

Qué fai este plugin?:

  • Desactiva totalmente o editor de bloques Gutenberg
  • Disables totally the Full Site Editing (FSE) Global Styles added inline to every page
  • Mostra e usa por defecto o estupendo e compatible con todo editor clásico de WordPress
  • Extra: Desactiva o widget de escritorio coa mesaxe “Proeba Gutenberg” de WP 4.9.8

Sen opcións. Simplemente instala e activa o plugin antes de actualizar a WordPress 5.x e iso é todo. Terás WordPress 5.x pero sen o editor de bloques Gutenberg.

Requisitos do plugin

  • Este plugin require WordPress 4.9 ou superior co plugin Gutenberg instalado e activo (se queres facer probas) ou WordPress 5.0 ou superior
  • Este plugin require PHP 5.6 ou superior

Capturas

  • Páxina de entradas de WordPress antes de activar o plugin.
  • Páxina de entradas de WordPress despois de activar o plugin.

Instalación

  1. Vai ao teu escritorio de WP > Plugins e busca por ‘no gutenberg’ ou…
  2. Descarga o plugin do repositorio de WP.
  3. Sube a carpeta ‘no-gutenberg’ ao directorio ‘/wp-content/plugins/’
  4. Activa o plugin dende o menú ‘Plugins’ de WordPress

Preguntas frecuentes

Odias o editor Gutenberg?

Non, que va. Creo que é máis importante decidir o que queres no teu WordPress e o que non. Se non queres dar este gran paso hacia o nuevo editor Gutenberg, con este plugin terás a decisión nas túas mans.

Qué pasa se decido desactivar o plugin?

  • Recuperarás o novo y flamante editor Gutenberg
  • A túa vida será un pouco máis difícil a partir de ese momento 🙂

Algo foi mal tras a activación

Este plugin é compatible con tódalas funciónes JavaScript de WordPress (wp_localize_script() na cabeceira, no footer…) e funciona con tódolos plugins e temas ben programados. Se un plugin ou un tema non está encolando adecuadamente scripts pode que o teu sitio non funcione. Se o teu aloxamento non é compatible con algunhas das melloras, normalmente debido a restriccións de seguridade, é posible que falle algo. Se falla algo, por favor, accede ao teu directorio /wp-content/plugins/no-gutenberg/ coa teu cliente FTP favorito ou no panel do teu aloxamiento (cPanel, Plesk, etc.) e renomea a carpeta do plugin para desactivalo.

E despóis?

Nada. Espero que Matt e o resto de bos chicos abandonen a idea de que un editor de bloques é unha boa idea para editar entradas.

Comentarios

29 de Outubro, 2020
Gracias Fernando por esta iniciativa, la verdad uso otro plugin para esta funcionalidad, pero otro más siempre es útil. Espero que un dia abandonen la idea de que un editor de bloques es una buena idea ... BRAVO !!!
17 de Novembro, 2019
I've never had any problems with this plugin. I loved the other one with the same name but when it did not work for me once, I started working with this one and it's pretty cool. Love it big time.
Ler todas as 13 opinións

Colaboradores e desenvolvedores

“No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles” é un software de código aberto. As seguintes persoas colaboraron con este plugin.

Colaboradores

“No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles” foi traducido a 11 idiomas. Grazas aos desenvolvedores polas súas contribucións.

Traduce “No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles” ao teu idioma.

Interesado no desenvolvemento?

Revisa o código, bota unha ollada aorepositorio SVN, ou subscríbete ao log de desenvolvemento por RSS.

Rexistro de cambios

1.0.2

  • Added the action to remove the FSE Global Styles

1.0.12

  • Tested up to WordPress 5.9

1.0.11

  • Tested up to WordPress 5.8

1.0.10

  • Probado ata WordPress 5.6

1.0.9

  • Probado ata WordPress 5.5.1

1.0.8

  • Probado ata WordPress 5.5

1.0.7

  • Probado ata WordPress 5.4.1

1.0.6

  • Probado ata WordPress 5.5

1.0.5

  • Probado ata WordPress 5.3.2

1.0.5

  • Probado ata WordPress 5.3 (e funciona!)

1.0.4

  • Probado ata WordPress 5.2.2

1.0.3

  • Probado ata WordPress 5.2

1.0.2

  • Probado ata WordPress 5.1

1.0.1

  • Mellor e máis sinxelo arquivo readme

1.0.0

  • Agora funciona perfectamente con tódalas versións do editor de bloques Gutenberg (plugin e núcleo)
  • Engadidos novos filtros condicionais engadidos para comprobar a versión de Gutenberg antes de aplicar a función adecuada para desactivar o editor de bloques.

0.9.2

  • Engadida etiqueta de probado ata WordPress 5.0

0.9.1

  • Engadida función para desactivar o widget de escritorio coa mesaxe “Proba Gutenberg” introducido en WP 4.9.8

0.9

  • Versión inicial, i espero que a última